"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const editJson_1 = __importDefault(require("./editJson"));
const utils_1 = require("./utils");
exports.default = (wd) => {
    const file = new editJson_1.default(wd);
    return {
        readPackageScripts: (ignores) => {
            const { scripts } = file.get();
            return (0, utils_1.filterPackageScriptsByKeys)(scripts, ignores);
        },
        writePackageScripts: (scripts) => {
            file.set("scripts", scripts);
            return file.save();
        },
    };
};
